<style>
 .pagination{
	float:right;
	padding:2px 5px;
	width:200px;
}
.pagination a , .pagination span  {
	padding-left:15px;
}
.pagination a.current {
	text-decoration:none;
	color:#999999;
	font-weight:bold;
}   
</style>
<div class="wrap">
	<div class="icon32" id="icon-themes"><br></div>
	<h2><?php echo PG_CONTENTSPINNER_SAVED_ARTICLES_LABEL?> </h2>
        <?php 
            global $wpdb;
            include PG_CONTENTSPINNER_PLUGIN_DIR."libraries/Pagination.php";
            $pagination = new Pagination();
            $pagination->ajax_links = TRUE;
            $pagination->setLink("%s");
            $pagination->setPage(1);
            $pagination->setSize(10);
            $pagination->setTotalRecords( $wpdb->get_var($wpdb->prepare('SELECT count(*) as num FROM '.$wpdb->prefix.'pgcs_saved_articles')));           
            $articles = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix."pgcs_saved_articles ORDER BY ID DESC ".$pagination->getLimitSql() );
            
        ?>
        <div id="response-paginate">
        <?php echo $pagination->create_links()?>
	<table border="1" class="widefat">
	<thead>
		<tr>
			<th style="padding-left:10px;" class="check-column">ID</th>
			<th>Original Text</th>
			<th>Results</th>
			<th>Processsing Time (sec)</th>
			<th>Requested By</th>
			<th>Date Requested</th>
                        <th>Action</th>
		</tr>
	</thead>
        <tbody id="the-liast">
              
	<?php
                foreach($articles as $article ): 
                    
                    $num_output = count(json_decode($article->spinned));
        ?>
		
			<tr class="alternate author-self status-inherit"> 							
				<th><?php echo $article->id?></th>
				<th><a href='javascript:showOriginal(<?php echo $article->id ?>)'><?php echo strlen($article->original) < 50 ?  $article->original : substr( $article->original,0,50).".." ?></a></th>
                                <th><a href='javascript:showSpinned(<?php echo $article->id ?>)'><?php echo $num_output ?> Results(s)</a></th>
				<th><?php echo $article->process_time?>sec(s)</th>
				<th><?php echo $article->remote_addr?></th>
				<td><?php echo date("F d Y h:i:s a",$article->date_created )?></td>
                                <td><a href="javascript:_pgsc_admin_download_result(<?php echo $article->id?>,<?php echo $num_output ?>)" class="button">Download Results</a></td>
			
			</tr>
		
	<?php endforeach;?>
	<?php if( empty($articles) ) :?>
		
				<tr>
					<td colspan="7" align="center"> <strong>No results  <?php if(get_option('pgsc_system_save_articles') == 0 ) : ?>-  if you want to enable this feature, check the option named "System - Save Spinned Articles" on the plugin main page.<?php endif;?> </strong> </td>
				</tr>
									
	<?php endif;?>
         </tbody>       
	<thead>
		<tr>
			<th style="padding-left:10px;" class="check-column">ID</th>
			<th>Original Text</th>
			<th>Results</th>
			<th>Processsing Time (ms)</th>
			<th>Requested By</th>
			<th>Date Requested</th>
                        <th>Action</th>
		</tr>
	</thead>
	</table>
        </div>
        <div id="response-original" style="float:left;padding:10px;width:500px">
            
        </div>
         <div id="response-spinned" style="float:right;padding:10px;width:500px">
            
        </div>
</div>
<script>
    function showSpinned(article_id){
       jQuery("#response-spinned").slideUp();
       jQuery.post(ajaxurl,{id:article_id , action:'pg_cs_show_spinned'}, function(response) {
                   
                   jQuery("#response-spinned").html(response);
                   jQuery("#response-spinned").slideDown();
	});
       
       
    }
    function showOriginal(article_id){
     jQuery("#response-original").slideUp();
       jQuery.post(ajaxurl,{id:article_id , action:'pg_cs_show_original'}, function(response) {
                   
                   jQuery("#response-original").html(response);
                   jQuery("#response-original").slideDown();
	});
    }
    function ajax_paginate(p){
       jQuery.post(ajaxurl,{page:p , action:'pg_cs_sa_paginate'}, function(response) {
                   
                   jQuery("#response-paginate").html(response);
	}); 
    }
    function _pgsc_admin_download_result(article_id,num_output){
        jQuery.post(ajaxurl,{id:article_id , action:'pg_cs_show_original',mode:'admin'},function(result){
            
            jQuery.post(ajaxurl, {action:'pgcsform_handler' , article:result,limit_output:num_output,mode:'admin'}, function(response) {
                   if(response[0] == "P"){
                      alert(response);
                   }else{
                       alert('Process complete : Click OK to download.')
                       window.location.href=response;
                   }
                   
		}); 
        });
        
    }
</script>